package com.diaoyun.zion.chinafrica.vo;

import java.util.List;

/**
 * @Auther: wudepeng
 * @Date: 2019/11/23
 * @Description:
 */
public class Image {
    private int id;

    private int product_id;

    private int position;

    private String created_at;

    private String updated_at;

    private String alt;

    private int width;

    private int height;

    private String src;

    private List<String> variant_ids;

    private String admin_graphql_api_id;

    public void setId(int id){
        this.id = id;
    }
    public int getId(){
        return this.id;
    }
    public void setProduct_id(int product_id){
        this.product_id = product_id;
    }
    public int getProduct_id(){
        return this.product_id;
    }
    public void setPosition(int position){
        this.position = position;
    }
    public int getPosition(){
        return this.position;
    }
    public void setCreated_at(String created_at){
        this.created_at = created_at;
    }
    public String getCreated_at(){
        return this.created_at;
    }
    public void setUpdated_at(String updated_at){
        this.updated_at = updated_at;
    }
    public String getUpdated_at(){
        return this.updated_at;
    }
    public void setAlt(String alt){
        this.alt = alt;
    }
    public String getAlt(){
        return this.alt;
    }
    public void setWidth(int width){
        this.width = width;
    }
    public int getWidth(){
        return this.width;
    }
    public void setHeight(int height){
        this.height = height;
    }
    public int getHeight(){
        return this.height;
    }
    public void setSrc(String src){
        this.src = src;
    }
    public String getSrc(){
        return this.src;
    }
    public void setVariant_ids(List<String> variant_ids){
        this.variant_ids = variant_ids;
    }
    public List<String> getVariant_ids(){
        return this.variant_ids;
    }
    public void setAdmin_graphql_api_id(String admin_graphql_api_id){
        this.admin_graphql_api_id = admin_graphql_api_id;
    }
    public String getAdmin_graphql_api_id(){
        return this.admin_graphql_api_id;
    }

    @Override
    public String toString() {
        return "Image{" +
                "id=" + id +
                ", product_id=" + product_id +
                ", position=" + position +
                ", created_at='" + created_at + '\'' +
                ", updated_at='" + updated_at + '\'' +
                ", alt='" + alt + '\'' +
                ", width=" + width +
                ", height=" + height +
                ", src='" + src + '\'' +
                ", variant_ids=" + variant_ids +
                ", admin_graphql_api_id='" + admin_graphql_api_id + '\'' +
                '}';
    }
}
